import VectorType from '../enum/VectorType.js'
import Geometry from './Geometry'

export default class BgImage extends Geometry {
    constructor(src,vectorId, floor) {
        super()
        this.src = src;
        //this.src = src;
        this.image = null;
        this.floor = floor?floor:0
        this.geoType = VectorType.BgImage
        this.setId(vectorId)
    }

    setImageData(imgData){
        this.image = imgData;
    }

    setSrc(src){
        this.src = src;
    }
}